Package: org.gradle.api.tasks.incremental

## [Java] Interface InputFileDetails

- A change to an input file.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getFile()` The input file, which may no longer exist.
    `boolean` | `isAdded()` Was the file added?
    `boolean` | `isModified()` Was the file modified?
    `boolean` | `isRemoved()` Was the file removed?

- - ### Method Detail

    - #### public File getFile()

      The input file, which may no longer exist.

      Returns:
        the input file

    - #### public boolean isAdded()

      Was the file added?

      Returns:
        true if the file was added since the last execution

    - #### public boolean isModified()

      Was the file modified?

      Returns:
        if the file was modified

    - #### public boolean isRemoved()

      Was the file removed?

      Returns:
        true if the file was removed since the last execution